/** 
* @name VoiceTerminal - управление терминалом 
* @desc Управление терминалом из веб-интерфейса 
* @version 4  
*/

const dev1 = Device("_UNIT_voiceterminal1");
const dev2 = Device("_UNIT_voiceterminal2");

startOnChange([dev1,dev2]);

script({
  start() {
    let device = '';
    let flag_volume = 0;
    
    //Проверка с какого устройства поступила команда
    if(this.isChanged(dev1, "set_volume")) {
      device = dev1;
      flag_volume = 1;
    }
    else if(this.isChanged(dev2, "set_volume")) {
      device = dev2;
      flag_volume = 1;
    }
    else if(this.isChanged(dev1, "set_music_volume")) {
      device = dev1;
      flag_volume = 2;
    }
    else if(this.isChanged(dev2, "set_music_volume")) {
      device = dev2;
      flag_volume = 2;
    }
      
    //Установка громкости на нужном терминале
    if(flag_volume == 1) this.SetVolumeTerminal(device);
    else if(flag_volume == 2) this.SetVolumeMusic(device);
  },
  
  SetVolumeTerminal(device) {
    let unit = device.id.replace('_UNIT_', '');
    let command = device.getParam('set_volume');
    this.pluginCommand({unit: unit, command:"volume_q:" +command});
  },
  
  SetVolumeMusic(device) {
    let unit = device.id.replace('_UNIT_', '');
    let command = device.getParam('set_music_volume');
    this.pluginCommand({unit: unit, command:"music_volume_q:" +command});
  }
});
